Bug 461452 - Entity declaration warning error
Entity declaration warning error
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 23:51 EDT by Isaac Rooskov
Modified: 2015-07-13 00:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 00:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaac Rooskov 2008-09-07 23:51:00 EDT
Description of problem:
when compiling a book, publican gives a warning for every entity declared within an xml document. However if giving an example of declaring an entity within an xml document and still coding it as follows:

&entity;

publican still gives the warning, even if it is within screen, code or programlisting tags. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.svn co https://svn.jboss.org/repos/jbossas/projects/docs/enterprise/4.3/Hibernate/Object_Relational_Mapping
2. the book with build using make html-single-en-US, however the above entity warning will be given.
3.
  
Actual results:
Local entity declaration warning given when no entity declared

Expected results:
The warning should not be displayed if an entity is escaped correctly using xml special characters whether it is or is not within a screen, programlisting or code tag.

Additional info:
Comment 1 Jeff Fearn 2008-09-07 23:59:31 EDT
Authorization Required

This server could not verify that you are authorized to access the document requested. Either you supplied the wrong credentials (e.g., bad password), or your browser doesn't understand how to supply the credentials required.
Comment 3 Jeff Fearn 2008-09-08 00:18:40 EDT
You need to escape the semi-colon.

This: &types;

Needs to be: &types;


You can avoid this kind of effort by using xi:include as discussed at http://jfearn.fedorapeople.org/Publican/chap-Publican-Frequently_Asked_Questions.html#d0e1867

Note You need to log in before you can comment on or make changes to this bug.